function onBegin()
	local room = getRoom()
	disableMovement()
	player.ForceCameraUpdate = true
	room.PauseLock = true
	player.StateMachine.State = 20
	player.StateMachine.Locked = true
	wait(1.4)
	setFlag("aidenHS_introFall", false)
	wait(0.1)
end

function onEnd()
	player.StateMachine.Locked = false
	enableMovement()
	getRoom().PauseLock = false
	player.ForceCameraUpdate = false
end